
TYPO3.Fluid - Bug # 42746

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:
Created: 2012-11-07 Assigned To: Karsten Dambekalns
Updated: 2012-12-11 Due date:
Has patch: No
Affected Flow version: Git 1.2 (master)
Subject: Functional WidgetTest is broken since URI bugfix
Description

The fix for #42511 broke the functional WidgetTest in Fluid, because that relied on "broken" uris being accepted.

Related issues:
related to TYPO3.Flow - Bug # 42511: "Uri" constructor silently accepts unpar... Resolved 2012-10-30

Associated revisions
Revision 65ea61e4 - 2012-11-07 09:59 - Karsten Dambekalns

[BUGFIX] Fix broken WidgetTest

The fix for #42511 broke the functional WidgetTest in Fluid, because
it relied on "broken" URIs being accepted. The AJAX URI is now prefixed
with "http://localhost/" to make the test work again.

Change-Id: Ia8eca8bb7cc2d79713d6125f2d7061715649fefa
Fixes: #42746
Related: #42511

Revision 4e9d011f - 2012-12-10 22:18 - Karsten Dambekalns

[BUGFIX] Fix broken WidgetTest

The fix for #42511 broke the functional WidgetTest in Fluid, because
it relied on "broken" URIs being accepted. The AJAX URI is now prefixed
with "http://localhost/" to make the test work again.

Change-Id: Ia8eca8bb7cc2d79713d6125f2d7061715649fefa
Fixes: #42746
Related: #42511

History
#1 - 2012-11-07 09:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16245
#2 - 2012-11-07 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:65ea61e4c17f6d635ef828afd90f2e01b3795e52.

#3 - 2012-12-10 22:18 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at https://review.typo3.org/17083

#4 - 2012-12-11 10:27 - Karsten Dambekalns
- Status changed from Under Review to Resolved
